# 生产环境配置

# 数据源配置
spring:
  datasource:
    url: jdbc:mysql://1Panel-mysql-Bqdt:3306/gxwebsoft_core?useSSL=false&serverTimezone=UTC
    username: gxwebsoft_core
    password: jdj7HYEdYHnYEFBy
    driver-class-name: com.mysql.cj.jdbc.Driver
    type: com.alibaba.druid.pool.DruidDataSource
  redis:
    database: 0
    host: 1Panel-redis-Q1LE
    port: 6379
    password: redis_WSDb88

# 日志配置
logging:
  file:
    name: websoft-core.log
  level:
    root: WARN
    com.gxwebsoft: ERROR
    com.baomidou.mybatisplus: ERROR

socketio:
  host: 0.0.0.0 #IP地址

knife4j:
  # 开启knife4j增强
  enable: true
  # 开启生产环境屏蔽，一定要先开启knife4j增强才会生效
  production: false

# 框架配置
config:
  # 生产环境接口
  server-url: https://server.gxwebsoft.com/api
  upload-path: /www/wwwroot/file.ws

  # 阿里云OSS云存储
  endpoint: https://oss-cn-shenzhen.aliyuncs.com
  accessKeyId: LTAI4GKGZ9Z2Z8JZ77c3GNZP
  accessKeySecret: BiDkpS7UXj72HWwDWaFZxiXjNFBNCM
  bucketName: oss-gxwebsoft
  bucketDomain: https://oss.wsdns.cn
  aliyunDomain: https://oss-gxwebsoft.oss-cn-shenzhen.aliyuncs.com

# 生产环境证书配置
certificate:
  # 生产环境使用挂载卷模式
  load-mode: VOLUME
  cert-root-path: /app/certs
